package com.zanxiang.game.back.serve.pojo.enums;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum BackUnitEnum {
    /**
     * 首单/次单
     */
    UNIT_ONCE(1),
    /**
     * 首日/次日
     */
    UNIT_DAY(2),
    /**
     * 24小时、其它时间
     */
    UNIT_TIME_DAY(3),
    /**
     * 48、其它时间
     */
    UNIT_TIME_2DAY(4),
    /**
     * 小额、大额累充回传方式
     */
    LARGE_AMOUNT(5);

    private final Integer value;

    BackUnitEnum(Integer value) {
        this.value = value;
    }

    public static BackUnitEnum getByValue(Integer value) {
        if (value == null) {
            return null;
        }
        for (BackUnitEnum backUnit : BackUnitEnum.values()) {
            if (Objects.equals(backUnit.getValue(), value)) {
                return backUnit;
            }
        }
        return null;
    }
}
